## pkgdiff 0.1.9

=== DESCRIPTION ===
Package: pkgdiff
Type: Package
Title: Identifies Package Differences
Version: 0.1.9
Maintainer: David Bosak <dbosak01@gmail.com>
Authors@R: c(
    person(
      "David", "Bosak",
      email = "dbosak01@gmail.com",
      role = c("aut", "cre")
    ),
    person(
      "Brian", "Varney",
      email = "brian.varney@experis.com",
      role = c("ctb")
    ),
    person(
      "Kevin", "Putschko",
      email = "kevin.putschko@experis.com",
      role = c("ctb")
    )
  )
Description: Identifies differences between
    versions of a package.  Specifically, the functions help
    determine if there are breaking changes from one package version
    to the next.  The package also includes a stability assessment,
    to help you determine the overall stability of a package, or even
    an entire repository.
License: CC0
Encoding: UTF-8
URL: https://pkgdiff.r-sassy.org, https://github.com/dbosak01/pkgdiff
BugReports: https://github.com/dbosak01/pkgdiff/issues
RoxygenNote: 7.3.2
Depends: R (>= 4.0.0)
Imports: rvest, common, crayon, utils, cranlogs
Suggests: knitr, rmarkdown, testthat (>= 3.0.0)
VignetteBuilder: knitr
Config/testthat/edition: 3
NeedsCompilation: no
Packaged: 2025-03-12 22:02:58 UTC; dbosa
Author: David Bosak [aut, cre],
  Brian Varney [ctb],
  Kevin Putschko [ctb]
Repository: CRAN
Date/Publication: 2025-03-13 21:10:05 UTC

## pkgdiff 0.2.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: pkgdiff
 Type: Package
 Title: Identifies Package Differences
-Version: 0.1.9
+Version: 0.2.0
 Maintainer: David Bosak <dbosak01@gmail.com>
 Authors@R: c(
     person(
@@ -37,9 +37,9 @@
 VignetteBuilder: knitr
 Config/testthat/edition: 3
 NeedsCompilation: no
-Packaged: 2025-03-12 22:02:58 UTC; dbosa
+Packaged: 2025-04-13 21:16:16 UTC; dbosa
 Author: David Bosak [aut, cre],
   Brian Varney [ctb],
   Kevin Putschko [ctb]
 Repository: CRAN
-Date/Publication: 2025-03-13 21:10:05 UTC
+Date/Publication: 2025-04-13 21:40:02 UTC

## pkgdiff 0.2.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: pkgdiff
 Type: Package
 Title: Identifies Package Differences
-Version: 0.2.0
+Version: 0.2.1
 Maintainer: David Bosak <dbosak01@gmail.com>
 Authors@R: c(
     person(
@@ -37,9 +37,9 @@
 VignetteBuilder: knitr
 Config/testthat/edition: 3
 NeedsCompilation: no
-Packaged: 2025-04-13 21:16:16 UTC; dbosa
+Packaged: 2025-07-12 18:51:52 UTC; dbosa
 Author: David Bosak [aut, cre],
   Brian Varney [ctb],
   Kevin Putschko [ctb]
 Repository: CRAN
-Date/Publication: 2025-04-13 21:40:02 UTC
+Date/Publication: 2025-07-12 20:00:02 UTC

## pkgdiff 1.0.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: pkgdiff
 Type: Package
 Title: Identifies Package Differences
-Version: 0.2.1
+Version: 1.0.0
 Maintainer: David Bosak <dbosak01@gmail.com>
 Authors@R: c(
     person(
@@ -30,16 +30,16 @@
 Encoding: UTF-8
 URL: https://pkgdiff.r-sassy.org, https://github.com/dbosak01/pkgdiff
 BugReports: https://github.com/dbosak01/pkgdiff/issues
-RoxygenNote: 7.3.2
+RoxygenNote: 7.3.3
 Depends: R (>= 4.0.0)
-Imports: rvest, common, crayon, utils, cranlogs
+Imports: rvest, common, crayon, utils, cranlogs, grDevices, graphics
 Suggests: knitr, rmarkdown, testthat (>= 3.0.0)
 VignetteBuilder: knitr
 Config/testthat/edition: 3
 NeedsCompilation: no
-Packaged: 2025-07-12 18:51:52 UTC; dbosa
+Packaged: 2025-11-24 17:45:21 UTC; dbosa
 Author: David Bosak [aut, cre],
   Brian Varney [ctb],
   Kevin Putschko [ctb]
 Repository: CRAN
-Date/Publication: 2025-07-12 20:00:02 UTC
+Date/Publication: 2025-11-24 18:10:02 UTC

## pkgdiff 1.0.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: pkgdiff
 Type: Package
 Title: Identifies Package Differences
-Version: 1.0.0
+Version: 1.0.1
 Maintainer: David Bosak <dbosak01@gmail.com>
 Authors@R: c(
     person(
@@ -37,9 +37,9 @@
 VignetteBuilder: knitr
 Config/testthat/edition: 3
 NeedsCompilation: no
-Packaged: 2025-11-24 17:45:21 UTC; dbosa
+Packaged: 2025-12-16 18:01:06 UTC; dbosa
 Author: David Bosak [aut, cre],
   Brian Varney [ctb],
   Kevin Putschko [ctb]
 Repository: CRAN
-Date/Publication: 2025-11-24 18:10:02 UTC
+Date/Publication: 2025-12-16 18:20:02 UTC

## pkgdiff 1.7.1

=== debian/changelog ===
pkgdiff (1.7.1-1) unstable; urgency=low

  * Initial release (Closes: #808440)

 -- Peter Spiess-Knafl <dev@spiessknafl.at>  Sun, 20 Dec 2015 09:08:53 +0100

=== debian/control ===
Source: pkgdiff
Section: devel
Priority: optional
Maintainer: Peter Spiess-Knafl <dev@spiessknafl.at>
Build-Depends: debhelper (>= 9), help2man
Standards-Version: 3.9.6
Homepage: https://github.com/lvc/pkgdiff
Vcs-Git: git://anonscm.debian.org/collab-maint/pkgdiff.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/pkgdiff.git/

Package: pkgdiff
Architecture: all
Depends: rpm, gawk, wdiff, ${misc:Depends}, ${perl:Depends}
Suggests: abi-compliance-checker, abi-dumper
Description: tool for visualizing changes in Linux software packages
 Package changes analyzer is a tool for visualizing changes in Linux
 software packages (RPM, DEB, TAR.GZ, etc).
 .
 The tool is intended for Linux maintainers who are interested in ensuring
 compatibility of old and new versions of packages.
 .
 The tool generates HTML reports to visualize the changes between two packages.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build: debian/pkgdiff.1
	#nothing

debian/pkgdiff.1: debian/pkgdiff.1.in
	chmod +x pkgdiff.pl
	help2man \
			--include=$< \
			--no-info \
			--output=$@ ./pkgdiff.pl
	sed -i 's/pkgdiff\.pl/pkgdiff/g' $@

override_dh_auto_install:
	mkdir -p $(CURDIR)$(DESTDIR)/debian/tmp/usr
	perl Makefile.pl -install --prefix=/usr --destdir=$(CURDIR)$(DESTDIR)/debian/tmp

override_dh_auto_clean:
	dh_auto_clean
	rm -f debian/pkgdiff.1

## pkgdiff 1.7.2

=== debian/changelog ===
pkgdiff (1.7.2-1) unstable; urgency=medium

  * d/rules: removed avoidable dh_auto_clean override
  * Imported Upstream version 1.7.2
  * Standards-Version bump, no changes required
  * Changed Vcs-* fields to https

 -- Peter Spiess-Knafl <dev@spiessknafl.at>  Mon, 21 Mar 2016 14:39:34 +0100

=== debian/watch ===
version=3
https://github.com/lvc/pkgdiff/releases \
.*/archive/(.+)\.tar\.gz

## pkgdiff 1.8

=== Makefile ===
prefix ?= /usr

.PHONY: install
install:
	perl Makefile.pl -install -prefix "$(prefix)"

uninstall:
	perl Makefile.pl -remove -prefix "$(prefix)"

=== debian/changelog ===
pkgdiff (1.8-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version
    Closes: #947345
  * Point Vcs fields to Salsa
  * Fix watch file
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add debian/upstream/metadata

 -- Andreas Tille <tille@debian.org>  Sun, 24 Aug 2025 08:32:29 +0200

pkgdiff (1.7.2-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Tue, 14 Jun 2022 15:16:00 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: devel
 Priority: optional
 Maintainer: Peter Spiess-Knafl <dev@spiessknafl.at>
-Build-Depends: debhelper (>= 9), help2man
-Standards-Version: 3.9.6
+Build-Depends: debhelper-compat (= 13), help2man
+Standards-Version: 4.7.2
+Vcs-Browser: https://salsa.debian.org/debian/pkgdiff
+Vcs-Git: https://salsa.debian.org/debian/pkgdiff.git
 Homepage: https://github.com/lvc/pkgdiff
-Vcs-Git: git://anonscm.debian.org/collab-maint/pkgdiff.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/pkgdiff.git/
 
 Package: pkgdiff
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build: debian/pkgdiff.1
	#nothing

debian/pkgdiff.1: debian/pkgdiff.1.in
	chmod +x pkgdiff.pl
	help2man \
			--include=$< \
			--no-info \
			--output=$@ ./pkgdiff.pl
	sed -i 's/pkgdiff\.pl/pkgdiff/g' $@

override_dh_auto_install:
	mkdir -p $(CURDIR)/debian/pkgdiff/usr
	perl Makefile.pl -install --prefix=/usr --destdir=$(CURDIR)/debian/pkgdiff/

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
   https://github.com/lvc/pkgdiff/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
